Bug 1888600 - Package 'qgis' fails to install on Fedora 33 (Workstation Edition) Beta
Summary: Package 'qgis' fails to install on Fedora 33 (Workstation Edition) Beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qgis
Version: 33
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-15 09:54 UTC by Dinu Radhakrishnan
Modified: 2020-10-29 01:05 UTC (History)
6 users (show)

Fixed In Version: qgis-3.14.16-1.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-29 01:05:56 UTC
Type: ---


Attachments (Terms of Use)

Description Dinu Radhakrishnan 2020-10-15 09:54:36 UTC
User-Agent:       Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:81.0) Gecko/20100101 Firefox/81.0
Build Identifier: 

'sudo dnf install qgis' fails, with the following message:

Last metadata expiration check: 0:04:11 ago on Thu 15 Oct 2020 05:24:55 AM EDT.
Error: 
 Problem: conflicting requests
  - nothing provides libQt5Core.so.5(Qt_5.14.2_PRIVATE_API) needed by qgis-3.12.1-4.fc33.i686
  - nothing provides libQt5Sql.so.5(Qt_5.14.2_PRIVATE_API) needed by qgis-3.12.1-4.fc33.i686
  - nothing provides libQt5Core.so.5(Qt_5.14.2_PRIVATE_API)(64bit) needed by qgis-3.12.1-4.fc33.x86_64
  - nothing provides libQt5Sql.so.5(Qt_5.14.2_PRIVATE_API)(64bit) needed by qgis-3.12.1-4.fc33.x86_64
(try to add '--skip-broken' to skip uninstallable packages)


Using gnome-software to install 'QGIS Desktop' fails with the following message:

Unable to install "QGIS Desktop":
Could not depsolve transaction; 1 problem detected:


Reproducible: Always

Steps to Reproduce:
1. Open gnome-terminal
2. Run 'sudo dnf install qgis'
3. Alternatively, use gnome-software to install 'QGIS Desktop'
Actual Results:  
Installation of package 'qgis' fails with both dnf and gnome-software.

Expected Results:  
Package 'qgis' was expected to get installed, along with the required dependencies.

Comment 1 Jon Richter 2020-10-19 20:46:13 UTC
I can confirm and reproduce this on F33 here.

It appears this package is built against this Fedora 32 package

- https://www.rpmfind.net/linux/RPM/fedora/updates/32/x86_64/Packages/q/qt5-qtbase-5.14.2-5.fc32.x86_64.html

which provides the asked libQt5Core.so.5(Qt_5.14.2_PRIVATE_API)(64bit)

instead of

- https://www.rpmfind.net/linux/RPM/fedora/updates/testing/33/x86_64/Packages/q/qt5-qtbase-5.15.1-5.fc33.x86_64.html

for Fedora 33.

This issue also propagates to Fedora 34 / rawhide, where the same error appears, interestingly while trying to install a fc33 labeled package.

- https://bugzilla.redhat.com/show_bug.cgi?id=1878413

Somehow the package building pipeline for QGIS throughout the releases appears to be garbled altogether.

Comment 2 Fedora Update System 2020-10-21 02:56:51 UTC
FEDORA-2020-ac430fc0d8 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac430fc0d8

Comment 3 Fedora Update System 2020-10-21 21:32:34 UTC
FEDORA-2020-ac430fc0d8 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ac430fc0d8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ac430fc0d8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Jon Richter 2020-10-22 10:52:57 UTC
This patch is confirmed to work.

Just successfully tested to install QGIS on F33 with

sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-ac430fc0d8 qgis

Comment 5 Dinu Radhakrishnan 2020-10-24 20:44:01 UTC
With 'sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ac430fc0d8', package 'qgis' installs successfully on Fedora 33 (Workstation Edition) Beta.

Comment 6 Fedora Update System 2020-10-29 01:05:56 UTC
FEDORA-2020-ac430fc0d8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.